List supported log sink types
GET
/api/v1/log-sinks/types
const url = 'https://osctrl.net/api/v1/log-sinks/types';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://osctrl.net/api/v1/log-sinks/types \ --header 'Authorization: <Authorization>'Returns the sink type registry: type, description, whether the config carries secrets, and which JSON keys hold them.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”OK
Media typeapplication/json
Array<object>
object
description
string
fields
Array<object>
object
default
help
string
label
string
name
string
options
Array<string>
placeholder
string
required
boolean
secret
boolean
type
string
has_secret
boolean
secret_fields
Array<string>
type
string
Examplegenerated
[ { "description": "example", "fields": [ { "default": "example", "help": "example", "label": "example", "name": "example", "options": [ "example" ], "placeholder": "example", "required": true, "secret": true, "type": "example" } ], "has_secret": true, "secret_fields": [ "example" ], "type": "example" }]Unauthorized
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Forbidden
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}